# 【开发环境】
spring:
  # redis 配置
  redis:
    host: 39.105.58.247
    # 端口，默认为6379
    port: 6380
    # 数据库索引
    database: 2
    # 密码
    password: hnyy20220314
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        min-idle: 0
        max-idle: 8
        max-active: 8
        max-wait: -1ms
  # 数据源 配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      master:
#        url: jdbc:mysql://192.168.33.128:3305/cwzjgk?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
#        username: root
#        password: 123456
        url: jdbc:mysql://39.105.58.247:3306/cwzjgk?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        username: cwzjgk
        password: cwzjgk@2024!
#        url: jdbc:mysql://22.56.120.94:3306/cwzjgk?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
#        username: root
#        password: HNhf@2024
      slave:
        enabled: false
        url:
        username:
        password:
      initialSize: 5
      minIdle: 10
      maxActive: 20
      maxWait: 60000
      connectTimeout: 30000
      socketTimeout: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      maxEvictableIdleTimeMillis: 900000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        allow:
        url-pattern: /druid/*
        login-username: admin
        login-password: admin123
      filter:
        stat:
          enabled: true
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true

# ocr【测试环境】
ai:
  ocr:
    clientId: hunan
    clientSecret: 1999C0D0-439F-4A0B-8397-BE98C590321F
    username: 13051895824
    password: hunan123456!
    ocrServer: https://msapi.esgcc.com.cn/ai/prod-api
    deviceId: abcdefghijklmnopqrstuvwx98
    sm2PublicKey: 04be20d2cd20e5efd2e81e9e646e658898b4cfd2da301e00ec93bb27f2a6fbc36973ae552eaa4ba34ad28429beeb39e30903b5fb39164102d3d2e10c3dc56f4a7d
    sm2PrivateKey: 71cce13c70cf4a0c29a5fae4a27ceb3066610272a07521903f1abf6041ec28c1
    tempPath: D:\hywzqlc\tempPath

msg:
  url: http://192.168.2.15:9999/admin/sysMsg/sendMsg
